<?php
/**
 * @copyright	Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// No direct access.
defined( '_JEXEC' ) or die;

/**
 * GoSearch plugin.
 *
 * @package		Joomla.Plugin
 * @subpackage	Content.gosearch
 */
class plgContentGosearch extends JPlugin
{
	/**
	 * Constructor
	 *
	 * @access      protected
	 * @param       object  $subject The object to observe
	 * @param       array   $config  An array that holds the plugin configuration
	 * @since       1.5
	 */
	public function __construct( &$subject, $config )
	{
		parent::__construct( $subject, $config );
		$this->loadLanguage();
	}

	/**
	* @since	1.6
	*/
	public function onContentPrepare( $context, &$article, &$params, $limitstart )
	{
		$html = $this->params->get( 'search_form', '' ).$this->params->get( 'search_results', '' );
		$regex = "#{gosearch\s*/}#s";
		$article->text = preg_replace( $regex, $html."<br /><a href=\"http://e-kzn.ru\" style=\"color: #ccc !important; font-size: 10px !important;\">GoSearch</a>", $article->text );
	}
}
